- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# FbxCameraManipulator Class Reference

Search for all occurrences

## Detailed Description

This class can be used to provide basic camera manipulation in any program using this library.

Definition at line 30 of file fbxmanipulators.h.

`#include <fbxmanipulators.h>`

Inheritance diagram for FbxCameraManipulator:
[legend]

List of all members.

## Public Types
enum | EAction { eNone, eOrbit, eDolly, ePan }
## Public Member Functions
void | Initialize (FbxCamera *pCamera)
| Set the camera used for the manipulation.
bool | Begin (const EAction &pAction, const int &pMouseX, const int &pMouseY)
| Begin manipulation of the camera.
bool | Notify (const int &pMouseX, const int &pMouseY)
| Notify manipulation of latest input.
void | End ()
| End current manipulation.
bool | FrameAll ()
| Change camera rotation and LookAt node to frame all objects.
bool | FrameSelected ()
| Change camera rotation and LookAt to frame all selected objects.
FbxCamera * | GetCamera () const
| Retrieve the camera used by this manipulator.
EAction | GetCurrentAction () const
| Retrieve current manipulation action.
virtual FbxObject & | Copy (const FbxObject &pObject)
| Copy an object content into this object.

## Member Enumeration Documentation

enum EAction

Search for all occurrences

Enumerator:

  eNone | Search for all occurrences
  eOrbit | Search for all occurrences
  eDolly | Search for all occurrences
  ePan | Search for all occurrences

Definition at line 35 of file fbxmanipulators.h.

    {eNone, eOrbit, eDolly, ePan};

## Member Function Documentation

void Initialize | ( | FbxCamera * | pCamera | ) |

Search for all occurrences

Set the camera used for the manipulation.

Parameters:

  pCamera | Camera that will be used for the manipulation.
  pCamAlign | How the camera should be aligned during camera manipulator initialization.

Remarks:
  The camera rotation or LookAt node position might be affected by calling this function to make sure they align correctly together.

bool Begin | ( | const EAction & | pAction,
|  | const int & | pMouseX,
|  | const int & | pMouseY
| ) |  |

Search for all occurrences

Begin manipulation of the camera.

Parameters:

  pAction | The action performed for this manipulation scope.
  pMouseX | Horizontal position of the mouse cursor.
  pMouseY | Vertical position of the mouse cursor.

Returns:
  If TRUE, manipulation successfully initialized.

bool Notify | ( | const int & | pMouseX,
|  | const int & | pMouseY
| ) |  |

Search for all occurrences

Notify manipulation of latest input.

Parameters:

  pMouseX | Horizontal position of the mouse cursor.
  pMouseY | Vertical position of the mouse cursor.

void End | ( |  | ) |

Search for all occurrences

End current manipulation.

bool FrameAll | ( |  | ) |

Search for all occurrences

Change camera rotation and LookAt node to frame all objects.

Returns:
  True if the FrameAll action was successfully performed.

bool FrameSelected | ( |  | ) |

Search for all occurrences

Change camera rotation and LookAt to frame all selected objects.

Returns:
  True if the FrameSelected action was successfully performed.

FbxCamera* GetCamera | ( |  | ) | const

Search for all occurrences

Retrieve the camera used by this manipulator.

Returns:
  The camera currently in use.

EAction GetCurrentAction | ( |  | ) | const

Search for all occurrences

Retrieve current manipulation action.

virtual FbxObject& Copy | ( | const FbxObject & | pObject | ) | `[virtual]`

Search for all occurrences

Copy an object content into this object.

Parameters:

  pObject | The source object to copy data from.

Returns:
  Returns the destination object being modified by the source.

Remarks:
  This function replace the assignment operator (operator=). It will copy all property values and the name. Connections are NOT copied.

Reimplemented from FbxObject.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxmanipulators.h

FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator
FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator FbxCameraManipulator